OpenSSL: source on Ubuntu

hdknr@ubuntu-vbox:~$ apt-get -b source openssl
パッケージリストを読み込んでいます… 完了
依存関係ツリーを作成しています
状態情報を読み取っています… 完了
3411kB のソースアーカイブを取得する必要があります。
取得:1 http://ubuntutym.u-toyama.ac.jp hardy-updates/main openssl 0.9.8g-4ubuntu3.5 (dsc) [920B]
取得:2 http://ubuntutym.u-toyama.ac.jp hardy-updates/main openssl 0.9.8g-4ubuntu3.5 (tar) [3355kB]
取得:3 http://ubuntutym.u-toyama.ac.jp hardy-updates/main openssl 0.9.8g-4ubuntu3.5 (diff) [55.5kB]
3411kB を 52s で取得しました (65.2kB/s)
sh: dpkg-source: not found
展開コマンド ‘dpkg-source -x openssl_0.9.8g-4ubuntu3.5.dsc’ が失敗しました。
‘dpkg-dev’ パッケージがインストールされていることを確認してください。
E: 子プロセスが失敗しました

hdknr@ubuntu-vbox:~$ sudo aptitude install dpkg-dev
[sudo] password for hdknr:
パッケージリストを読み込んでいます… 完了
依存関係ツリーを作成しています
状態情報を読み取っています… 完了
拡張状態情報を読み込んでいます
パッケージの状態を初期化しています… 完了
タグのデータベースを構築しています… 完了
以下のパッケージが自動的に一時固定されています:
  libaprutil1 texlive-base texlive-common texlive-fonts-recommended texlive-fonts-recommended-doc
  texlive-generic-recommended texlive-latex-base texlive-latex-base-doc texlive-latex-recommended
  texlive-latex-recommended-doc texlive-pictures texlive-pictures-doc
以下の新規パッケージが自動的にインストールされます:
  build-essential libtimedate-perl patch
以下のパッケージが一時固定されています:
  libmagick10
以下の新規パッケージがインストールされます:
  build-essential dpkg-dev libtimedate-perl patch
0 個のパッケージを更新、 4 個を新たにインストール、 0 個を削除予定、13 個が更新されていない。
692kB のアーカイブを取得する必要があります。 展開後に 2109kB のディスク領域が新たに消費されます。
続けますか? [Y/n/?]

拡張状態情報を書き込んでいます… 完了
取得:1 http://ubuntutym.u-toyama.ac.jp hardy/main libtimedate-perl 1.1600-9 [30.1kB]
取得:2 http://ubuntutym.u-toyama.ac.jp hardy/main patch 2.5.9-4 [95.6kB]
取得:3 http://ubuntutym.u-toyama.ac.jp hardy-updates/main dpkg-dev 1.14.16.6ubuntu4 [559kB]
取得:4 http://ubuntutym.u-toyama.ac.jp hardy/main build-essential 11.3ubuntu1 [7066B]
692kB を 4s 秒でダウンロードしました (149kB/s)
未選択パッケージ libtimedate-perl を選択しています。
(データベースを読み込んでいます … 現在 154032 個のファイルとディレクトリがインストールされています。)
(…/libtimedate-perl_1.1600-9_all.deb から) libtimedate-perl を展開しています…
未選択パッケージ patch を選択しています。
(…/patch_2.5.9-4_i386.deb から) patch を展開しています…
未選択パッケージ dpkg-dev を選択しています。
(…/dpkg-dev_1.14.16.6ubuntu4_all.deb から) dpkg-dev を展開しています…
未選択パッケージ build-essential を選択しています。
(…/build-essential_11.3ubuntu1_i386.deb から) build-essential を展開しています…
libtimedate-perl (1.1600-9) を設定しています …
patch (2.5.9-4) を設定しています …
dpkg-dev (1.14.16.6ubuntu4) を設定しています …
build-essential (11.3ubuntu1) を設定しています …
パッケージリストを読み込んでいます… 完了
依存関係ツリーを作成しています
状態情報を読み取っています… 完了
拡張状態情報を読み込んでいます
パッケージの状態を初期化しています… 完了
拡張状態情報を書き込んでいます… 完了
タグのデータベースを構築しています… 完了

hdknr@ubuntu-vbox:~$ apt-get -b source openssl
パッケージリストを読み込んでいます… 完了
依存関係ツリーを作成しています
状態情報を読み取っています… 完了
すでにダウンロードされたファイル ‘openssl_0.9.8g-4ubuntu3.5.dsc’ をスキップします
すでにダウンロードされたファイル ‘openssl_0.9.8g.orig.tar.gz’ をスキップします
すでにダウンロードされたファイル ‘openssl_0.9.8g-4ubuntu3.5.diff.gz’ をスキップします
0B のソースアーカイブを取得する必要があります。
gpg: 2009年03月27日 06時05分15秒 JSTにDSA鍵ID 174BF01Aで施された署名
gpg: 署名を検査できません: 公開鍵が見つかりません
dpkg-source: extracting openssl in openssl-0.9.8g
dpkg-source: unpacking openssl_0.9.8g.orig.tar.gz
dpkg-source: applying ./openssl_0.9.8g-4ubuntu3.5.diff.gz
dpkg-buildpackage: error: fakeroot not found, either install the fakeroot
package, specify a command with the -r option, or run this as root
ビルドコマンド ‘cd openssl-0.9.8g && dpkg-buildpackage -b -uc’ が失敗しました。
E: 子プロセスが失敗しました

hdknr@ubuntu-vbox:~$ aptitude install ubuntu-ja-keyring-udeb
パッケージリストを読み込んでいます… 完了
依存関係ツリーを作成しています
状態情報を読み取っています… 完了
拡張状態情報を読み込んでいます
パッケージの状態を初期化しています… 完了
タグのデータベースを構築しています… 完了
E: ロックファイル /var/lib/dpkg/lock をオープンできません – open (13 Permission denied)
E: Unable to lock the administration directory (/var/lib/dpkg/), are you root?
hdknr@ubuntu-vbox:~$ sudo aptitude install ubuntu-ja-keyring-udeb
パッケージリストを読み込んでいます… 完了
依存関係ツリーを作成しています
状態情報を読み取っています… 完了
拡張状態情報を読み込んでいます
パッケージの状態を初期化しています… 完了
タグのデータベースを構築しています… 完了
以下のパッケージが自動的に一時固定されています:
  libaprutil1 texlive-base texlive-common texlive-fonts-recommended texlive-fonts-recommended-doc
  texlive-generic-recommended texlive-latex-base texlive-latex-base-doc texlive-latex-recommended
  texlive-latex-recommended-doc texlive-pictures texlive-pictures-doc
以下のパッケージが一時固定されています:
  libmagick10
以下の新規パッケージがインストールされます:
  ubuntu-ja-keyring-udeb
0 個のパッケージを更新、 1 個を新たにインストール、 0 個を削除予定、13 個が更新されていない。
2058B のアーカイブを取得する必要があります。 展開後に 4096B のディスク領域が新たに消費されます。
拡張状態情報を書き込んでいます… 完了
取得:1 http://archive.ubuntulinux.jp hardy/ ubuntu-ja-keyring-udeb 2005.09.28 [2058B]
2058B を 1s 秒でダウンロードしました (1082B/s)
未選択パッケージ ubuntu-ja-keyring-udeb を選択しています。
(データベースを読み込んでいます … 現在 154228 個のファイルとディレクトリがインストールされています。)
(…/ubuntu-ja-keyring-udeb_2005.09.28_all.udeb から) ubuntu-ja-keyring-udeb を展開しています…
dpkg: /var/cache/apt/archives/ubuntu-ja-keyring-udeb_2005.09.28_all.udeb の処理中にエラーが発生しました (–unpack):
`/usr/share/keyrings/ubuntu-ja-archive-keyring.gpg’ を上書きしようとしています。これはパッケージ ubuntu-ja-keyring にも含まれています
以下のパッケージの処理中にエラーが発生しました:
/var/cache/apt/archives/ubuntu-ja-keyring-udeb_2005.09.28_all.udeb
E: Sub-process /usr/bin/dpkg returned an error code (1)
パッケージをインストールできませんでした。復旧を試みています:
パッケージリストを読み込んでいます… 完了
依存関係ツリーを作成しています
状態情報を読み取っています… 完了
拡張状態情報を読み込んでいます
パッケージの状態を初期化しています… 完了
拡張状態情報を書き込んでいます… 完了
タグのデータベースを構築しています… 完了

これじゃないようです。

 

hdknr@ubuntu-vbox:~$ gpg –keyserver pgp.nic.ad.jp –recv-keys 174BF01A
gpg: 鍵174BF01Aをhkpからサーバーpgp.nic.ad.jpに要求
gpg: 鍵174BF01A: 公開鍵“Jamie Strandboge (Personal Key) <jamie@strandboge.com>”を読み込みました
gpg: 絶対的に信用する鍵が見つかりません
gpg: 処理数の合計: 1
gpg:               読込み: 1

hdknr@ubuntu-vbox:~$ sudo gpg –armor –export 174BF01A | sudo apt-key add –
gpg: 警告: 構成ファイル「/home/hdknr/.gnupg/gpg.conf」の安全でない所有者
OK

hdknr@ubuntu-vbox:~$ sudo aptitude update 

hdknr@ubuntu-vbox:~$ sudo apt-get -b source openssl
パッケージリストを読み込んでいます… 完了
依存関係ツリーを作成しています
状態情報を読み取っています… 完了
すでにダウンロードされたファイル ‘openssl_0.9.8g-4ubuntu3.5.dsc’ をスキップします
すでにダウンロードされたファイル ‘openssl_0.9.8g.orig.tar.gz’ をスキップします
すでにダウンロードされたファイル ‘openssl_0.9.8g-4ubuntu3.5.diff.gz’ をスキップします
0B のソースアーカイブを取得する必要があります。
すでに openssl-0.9.8g に展開されたソースがあるため、展開をスキップします
dpkg-buildpackage: set CPPFLAGS to default value:
dpkg-buildpackage: set CFLAGS to default value: -g -O2
dpkg-buildpackage: set CXXFLAGS to default value: -g -O2
dpkg-buildpackage: set FFLAGS to default value: -g -O2
dpkg-buildpackage: set LDFLAGS to default value: -Wl,-Bsymbolic-functions
dpkg-buildpackage: source package openssl
dpkg-buildpackage: source version 0.9.8g-4ubuntu3.5
dpkg-buildpackage: source changed by Jamie Strandboge <jamie@ubuntu.com>
dpkg-buildpackage: host architecture i386
dpkg-checkbuilddeps: Unmet build dependencies: debhelper (>= 5.0.22) m4
dpkg-buildpackage: warning: Build dependencies/conflicts unsatisfied; aborting.
dpkg-buildpackage: warning: (Use -d flag to override.)
ビルドコマンド ‘cd openssl-0.9.8g && dpkg-buildpackage -b -uc’ が失敗しました。
E: 子プロセスが失敗しました

hdknr@ubuntu-vbox:~$ sudo aptitude install debhelper
パッケージリストを読み込んでいます… 完了
依存関係ツリーを作成しています
状態情報を読み取っています… 完了
拡張状態情報を読み込んでいます
パッケージの状態を初期化しています… 完了
タグのデータベースを構築しています… 完了
以下のパッケージが自動的に一時固定されています:
  apache2 apache2-mpm-worker apache2-utils apache2.2-common libaprutil1 texlive-base texlive-common
  texlive-fonts-recommended texlive-fonts-recommended-doc texlive-generic-recommended texlive-latex-base
  texlive-latex-base-doc texlive-latex-recommended texlive-latex-recommended-doc texlive-pictures texlive-pictures-doc
以下の新規パッケージが自動的にインストールされます:
  gettext html2text intltool-debian libcompress-raw-zlib-perl libcompress-zlib-perl libdigest-hmac-perl
  libdigest-sha1-perl libfile-remove-perl libio-compress-base-perl libio-compress-zlib-perl libio-stringy-perl
  libmail-box-perl libmail-sendmail-perl libmailtools-perl libmime-types-perl libobject-realize-later-perl
  libuser-identity-perl po-debconf
以下のパッケージが一時固定されています:
  libmagick10
以下の新規パッケージがインストールされます:
  debhelper gettext html2text intltool-debian libcompress-raw-zlib-perl libcompress-zlib-perl libdigest-hmac-perl
  libdigest-sha1-perl libfile-remove-perl libio-compress-base-perl libio-compress-zlib-perl libio-stringy-perl
  libmail-box-perl libmail-sendmail-perl libmailtools-perl libmime-types-perl libobject-realize-later-perl
  libuser-identity-perl po-debconf
0 個のパッケージを更新、 19 個を新たにインストール、 0 個を削除予定、17 個が更新されていない。
4603kB のアーカイブを取得する必要があります。 展開後に 16.3MB のディスク領域が新たに消費されます。
続けますか? [Y/n/?]

 

取得:1 http://ubuntutym.u-toyama.ac.jp hardy/main html2text 1.3.2a-3build2 [87.6kB]
取得:2 http://ubuntutym.u-toyama.ac.jp hardy/main gettext 0.17-2ubuntu1 [1978kB]
取得:3 http://ubuntutym.u-toyama.ac.jp hardy/main intltool-debian 0.35.0+20060710.1 [31.6kB]
取得:4 http://ubuntutym.u-toyama.ac.jp hardy/main po-debconf 1.0.10 [232kB]
取得:5 http://ubuntutym.u-toyama.ac.jp hardy/main debhelper 6.0.4ubuntu1 [516kB]
取得:6 http://ubuntutym.u-toyama.ac.jp hardy/main libcompress-raw-zlib-perl 2.008-1 [91.8kB]
取得:7 http://ubuntutym.u-toyama.ac.jp hardy/main libio-compress-base-perl 2.008-1 [54.4kB]
取得:8 http://ubuntutym.u-toyama.ac.jp hardy/main libio-compress-zlib-perl 2.008-1 [135kB]
取得:9 http://ubuntutym.u-toyama.ac.jp hardy/main libcompress-zlib-perl 2.008-1 [35.7kB]

取得:10 http://ubuntutym.u-toyama.ac.jp hardy/main libdigest-sha1-perl 2.11-2 [24.7kB]
取得:11 http://ubuntutym.u-toyama.ac.jp hardy/main libdigest-hmac-perl 1.01-6 [10.5kB]
取得:12 http://ubuntutym.u-toyama.ac.jp hardy/universe libfile-remove-perl 0.39-1 [11.3kB]
取得:13 http://ubuntutym.u-toyama.ac.jp hardy/main libio-stringy-perl 2.110-3 [94.9kB]
取得:14 http://ubuntutym.u-toyama.ac.jp hardy/main libmailtools-perl 2.02-1 [96.6kB]
取得:15 http://ubuntutym.u-toyama.ac.jp hardy/universe libmime-types-perl 1.22-1 [29.6kB]
取得:16 http://ubuntutym.u-toyama.ac.jp hardy/universe libobject-realize-later-perl 0.18-1 [17.7kB]
取得:17 http://ubuntutym.u-toyama.ac.jp hardy/universe libuser-identity-perl 0.92-1 [74.0kB]
取得:18 http://ubuntutym.u-toyama.ac.jp hardy/universe libmail-box-perl 2.078-1 [1055kB]
取得:19 http://ubuntutym.u-toyama.ac.jp hardy/universe libmail-sendmail-perl 0.79-4 [27.6kB]
4603kB を 1min22s 秒でダウンロードしました (56.0kB/s)
未選択パッケージ html2text を選択しています。
(データベースを読み込んでいます … 現在 154228 個のファイルとディレクトリがインストールされています。)
(…/html2text_1.3.2a-3build2_i386.deb から) html2text を展開しています…
未選択パッケージ gettext を選択しています。
(…/gettext_0.17-2ubuntu1_i386.deb から) gettext を展開しています…
未選択パッケージ intltool-debian を選択しています。
(…/intltool-debian_0.35.0+20060710.1_all.deb から) intltool-debian を展開しています…
未選択パッケージ po-debconf を選択しています。
(…/po-debconf_1.0.10_all.deb から) po-debconf を展開しています…
未選択パッケージ debhelper を選択しています。
(…/debhelper_6.0.4ubuntu1_all.deb から) debhelper を展開しています…
未選択パッケージ libcompress-raw-zlib-perl を選択しています。
(…/libcompress-raw-zlib-perl_2.008-1_i386.deb から) libcompress-raw-zlib-perl を展開しています…
未選択パッケージ libio-compress-base-perl を選択しています。
(…/libio-compress-base-perl_2.008-1_all.deb から) libio-compress-base-perl を展開しています…
未選択パッケージ libio-compress-zlib-perl を選択しています。
(…/libio-compress-zlib-perl_2.008-1_all.deb から) libio-compress-zlib-perl を展開しています…
未選択パッケージ libcompress-zlib-perl を選択しています。
(…/libcompress-zlib-perl_2.008-1_all.deb から) libcompress-zlib-perl を展開しています…
未選択パッケージ libdigest-sha1-perl を選択しています。
(…/libdigest-sha1-perl_2.11-2_i386.deb から) libdigest-sha1-perl を展開しています…
未選択パッケージ libdigest-hmac-perl を選択しています。
(…/libdigest-hmac-perl_1.01-6_all.deb から) libdigest-hmac-perl を展開しています…
未選択パッケージ libfile-remove-perl を選択しています。
(…/libfile-remove-perl_0.39-1_all.deb から) libfile-remove-perl を展開しています…
未選択パッケージ libio-stringy-perl を選択しています。
(…/libio-stringy-perl_2.110-3_all.deb から) libio-stringy-perl を展開しています…
未選択パッケージ libmailtools-perl を選択しています。
(…/libmailtools-perl_2.02-1_all.deb から) libmailtools-perl を展開しています…
未選択パッケージ libmime-types-perl を選択しています。
(…/libmime-types-perl_1.22-1_all.deb から) libmime-types-perl を展開しています…
未選択パッケージ libobject-realize-later-perl を選択しています。
(…/libobject-realize-later-perl_0.18-1_all.deb から) libobject-realize-later-perl を展開しています…
未選択パッケージ libuser-identity-perl を選択しています。
(…/libuser-identity-perl_0.92-1_all.deb から) libuser-identity-perl を展開しています…
未選択パッケージ libmail-box-perl を選択しています。
(…/libmail-box-perl_2.078-1_all.deb から) libmail-box-perl を展開しています…
未選択パッケージ libmail-sendmail-perl を選択しています。
(…/libmail-sendmail-perl_0.79-4_all.deb から) libmail-sendmail-perl を展開しています…
html2text (1.3.2a-3build2) を設定しています …

gettext (0.17-2ubuntu1) を設定しています …

intltool-debian (0.35.0+20060710.1) を設定しています …
po-debconf (1.0.10) を設定しています …

debhelper (6.0.4ubuntu1) を設定しています …
libcompress-raw-zlib-perl (2.008-1) を設定しています …
libio-compress-base-perl (2.008-1) を設定しています …
libio-compress-zlib-perl (2.008-1) を設定しています …
libcompress-zlib-perl (2.008-1) を設定しています …
libdigest-sha1-perl (2.11-2) を設定しています …
libdigest-hmac-perl (1.01-6) を設定しています …
libfile-remove-perl (0.39-1) を設定しています …
libio-stringy-perl (2.110-3) を設定しています …

libmailtools-perl (2.02-1) を設定しています …
libmime-types-perl (1.22-1) を設定しています …
libobject-realize-later-perl (0.18-1) を設定しています …
libuser-identity-perl (0.92-1) を設定しています …
libmail-box-perl (2.078-1) を設定しています …
libmail-sendmail-perl (0.79-4) を設定しています …
Processing triggers for libc6 …
ldconfig deferred processing now taking place
パッケージリストを読み込んでいます… 完了
依存関係ツリーを作成しています
状態情報を読み取っています… 完了
拡張状態情報を読み込んでいます
パッケージの状態を初期化しています… 完了
拡張状態情報を書き込んでいます… 完了
タグのデータベースを構築しています… 完了

hdknr@ubuntu-vbox:~$ sudo aptitude install m4
パッケージリストを読み込んでいます… 完了
依存関係ツリーを作成しています
状態情報を読み取っています… 完了
拡張状態情報を読み込んでいます
パッケージの状態を初期化しています… 完了
タグのデータベースを構築しています… 完了
以下のパッケージが自動的に一時固定されています:
  apache2 apache2-mpm-worker apache2-utils apache2.2-common libaprutil1 texlive-base texlive-common
  texlive-fonts-recommended texlive-fonts-recommended-doc texlive-generic-recommended texlive-latex-base
  texlive-latex-base-doc texlive-latex-recommended texlive-latex-recommended-doc texlive-pictures texlive-pictures-doc
以下のパッケージが一時固定されています:
  libmagick10
以下の新規パッケージがインストールされます:
  m4
0 個のパッケージを更新、 1 個を新たにインストール、 0 個を削除予定、17 個が更新されていない。
207kB のアーカイブを取得する必要があります。 展開後に 520kB のディスク領域が新たに消費されます。
拡張状態情報を書き込んでいます… 完了
取得:1 http://ubuntutym.u-toyama.ac.jp hardy/main m4 1.4.10-1 [207kB]
207kB を 4s 秒でダウンロードしました (42.0kB/s)
未選択パッケージ m4 を選択しています。
(データベースを読み込んでいます … 現在 155481 個のファイルとディレクトリがインストールされています。)
(…/archives/m4_1.4.10-1_i386.deb から) m4 を展開しています…
m4 (1.4.10-1) を設定しています …

パッケージリストを読み込んでいます… 完了
依存関係ツリーを作成しています
状態情報を読み取っています… 完了
拡張状態情報を読み込んでいます
パッケージの状態を初期化しています… 完了
拡張状態情報を書き込んでいます… 完了
タグのデータベースを構築しています… 完了

この後うまく行った。

カテゴリー: 未分類 パーマリンク

コメントを残す

以下に詳細を記入するか、アイコンをクリックしてログインしてください。

WordPress.com ロゴ

WordPress.com アカウントを使ってコメントしています。 ログアウト / 変更 )

Twitter 画像

Twitter アカウントを使ってコメントしています。 ログアウト / 変更 )

Facebook の写真

Facebook アカウントを使ってコメントしています。 ログアウト / 変更 )

Google+ フォト

Google+ アカウントを使ってコメントしています。 ログアウト / 変更 )

%s と連携中